.post {
  margin: 16px auto;
  padding-bottom: 16px;
  gap: 16px;
  display: grid;
}

.post span img {
  border-radius: 16px;
}

.post img {
  width: 100%;
}

.post hgroup {
  padding: 16px 0;
  gap: 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.post h2 {
  font-size: 15px;
  font-weight: 600;
}

.post h3 {
  background-color: silver;
  border-radius: 100px;
  padding: 4px;
  white-space: nowrap;
}

.post h3 span {
  color: #ffffff;
  font-size: 8px;
  font-weight: 400;
  margin: auto 4px;
}

.post map {
  gap: 16px;
  display: flex;
  align-items: center;
}

.post map img {
  border-radius: 100%;
  width: 64px;
  height: 64px;
}

.post map p {
  color: #555555;
  font-size: 10px;
  font-weight: 400;
}

.post blockquote {
  padding: 16px 0;
  gap: 16px;
  display: grid;
}

.post p {
  font-size: 14px;
  font-weight: 400;
}

.post u {
  gap: 2px;
  display: flex;
  align-items: center;
}

.post u img {
  max-width: 10px;
  max-height: 10px;
}

.post u span {
  font-size: 10px;
  font-weight: 400;
}

.vote span {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.vote form {
  gap: 8px;
  display: flex;
  align-items: center;
}

.vote button {
  background-color: #fafafa;
  border-radius: 100px;
  padding: 10px;
}

.vote button:hover {
  background-color: #f0f0f0;
}

.vote button span {
  font-size: 12px;
  font-weight: 600;
  margin: auto 10px;
}

.vote dl {
  gap: 8px;
  display: flex;
  align-items: center;
}

.vote hr {
  border: solid 0.75px #f0f0f0;
  height: 10px;
}

.vote dt {
  color: #555555;
  font-size: 10px;
  font-weight: 500;
}

.vote dd {
  font-size: 12px;
  font-weight: 500;
}

.post span {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.post h4 {
  gap: 8px;
  display: flex;
  align-items: center;
}

.post h4 img {
  border-radius: 100%;
  width: 32px;
  height: 32px;
}

.post h4 span {
  font-size: 12px;
  font-weight: 600;
}

.post u {
  color: #555555;
  font-size: 10px;
  font-weight: 500;
}

.post h5 {
  color: #555555;
  font-size: 10px;
  font-weight: 400;
}

.post menu {
  gap: 8px;
  display: flex;
  align-items: center;
}

.post hr {
  border: solid 0.75px #f0f0f0;
  height: 10px;
}

.post h6 {
  gap: 4px;
  display: flex;
  align-items: center;
}

.post h6 img {
  width: 16px;
  height: 16px;
}

.post h6 span {
  font-size: 11px;
  font-weight: 500;
}

.post button {
  gap: 4px;
  display: flex;
  align-items: center;
}

.post button img {
  width: 16px;
  height: 16px;
}

.post button span {
  font-size: 11px;
  font-weight: 500;
}